/*
 * @Description: 
 * @Author: ymz
 * @Date: 2022-01-18 14:28:50
 */
import request from '@/router/axios'

// 团队可选择人员
export function getType() {
  return request({
    url: '/admin/dict/type/dept-template-task-type',
    method: 'get',
  })
}
// 新增
export function add(data) {
  return request({
    url: `/admin/dept-task-type-template`,
    method: 'post',
    data
  })
}
// 获取列表
export function getInfoList(deptId) {
  return request({
    url: `/admin/dept-task-type-template/list?deptId=${deptId}`,
    method: 'get',
  })
}

// 删除
export function deleteInfo(id) {
  return request({
    url: `/admin/dept-task-type-template/${id}`,
    method: 'delete',
  })
}
// 获取配置详情
export function getDetail(id) {
  return request({
    url: `/admin/dept-task-type-template/${id}`,
    method: 'get',
  })
}

// 更新
export function updateInfo(data) {
  return request({
    url: `/admin/dept-task-type-template`,
    method: 'put',
    data
  })
}